Bug 1447120 - Review Request: python-pyfakefs - pyfakefs implements a fake file system that mocks the Python file system modules.
Summary: Review Request: python-pyfakefs - pyfakefs implements a fake file system that...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1426193
TreeView+ depends on / blocked
 
Reported: 2017-05-01 20:14 UTC by David Moreau Simard
Modified: 2017-08-06 20:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-24 04:55:30 UTC
karlthered: fedora-review+


Attachments (Terms of Use)

Description David Moreau Simard 2017-05-01 20:14:14 UTC
Spec URL: https://raw.githubusercontent.com/dmsimard/python-pyfakefs-distgit/master/python-pyfakefs.spec
SRPM URL: https://github.com/dmsimard/python-pyfakefs-distgit/raw/master/python-pyfakefs-3.1-1.fc25.src.rpm
Description: pyfakefs implements a fake file system that mocks the Python file system modules.

Koji scratch build available at https://koji.fedoraproject.org/koji/taskinfo?taskID=19356795

Comment 1 Haïkel Guémar 2017-05-05 17:16:13 UTC
Please fix spec file name before import, it must be named as <source package name>.spec

I hereby approve this package into Fedora Packages Collection. Please submit a PkgDB request.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.6/site-
     packages, /usr/lib/python3.6
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Binary eggs must be removed in %prep
     Note: Cannot find any build in BUILD directory (--prebuilt option?)
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-pyfakefs , python3-pyfakefs
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Bad spec filename: /home/haikel/1447120-python-pyfakefs/srpm-
     unpacked/python-fakefs.spec
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-pyfakefs-3.1-1.fc27.noarch.rpm
          python3-pyfakefs-3.1-1.fc27.noarch.rpm
          python-pyfakefs-3.1-1.fc27.src.rpm
python2-pyfakefs.noarch: W: summary-not-capitalized C pyfakefs implements a fake file system that mocks the Python file system modules.
python2-pyfakefs.noarch: W: summary-ended-with-dot C pyfakefs implements a fake file system that mocks the Python file system modules.
python2-pyfakefs.noarch: E: summary-too-long C pyfakefs implements a fake file system that mocks the Python file system modules.
python2-pyfakefs.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/pyfakefs/fake_filesystem_shutil.py /usr/bin/env python
python2-pyfakefs.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/pyfakefs/fake_filesystem_shutil.py 644 /usr/bin/env python
python3-pyfakefs.noarch: W: summary-not-capitalized C pyfakefs implements a fake file system that mocks the Python file system modules.
python3-pyfakefs.noarch: W: summary-ended-with-dot C pyfakefs implements a fake file system that mocks the Python file system modules.
python3-pyfakefs.noarch: E: summary-too-long C pyfakefs implements a fake file system that mocks the Python file system modules.
python3-pyfakefs.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/pyfakefs/fake_filesystem_shutil.py /usr/bin/env python
python3-pyfakefs.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/pyfakefs/fake_filesystem_shutil.py 644 /usr/bin/env python
python-pyfakefs.src: W: summary-not-capitalized C pyfakefs implements a fake file system that mocks the Python file system modules.
python-pyfakefs.src: W: summary-ended-with-dot C pyfakefs implements a fake file system that mocks the Python file system modules.
python-pyfakefs.src: E: summary-too-long C pyfakefs implements a fake file system that mocks the Python file system modules.
python-pyfakefs.src: E: invalid-spec-name
3 packages and 0 specfiles checked; 8 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
python2-pyfakefs.noarch: W: summary-not-capitalized C pyfakefs implements a fake file system that mocks the Python file system modules.
python2-pyfakefs.noarch: W: summary-ended-with-dot C pyfakefs implements a fake file system that mocks the Python file system modules.
python2-pyfakefs.noarch: E: summary-too-long C pyfakefs implements a fake file system that mocks the Python file system modules.
python2-pyfakefs.noarch: E: wrong-script-interpreter /usr/lib/python2.7/site-packages/pyfakefs/fake_filesystem_shutil.py /usr/bin/env python
python2-pyfakefs.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/pyfakefs/fake_filesystem_shutil.py 644 /usr/bin/env python
python3-pyfakefs.noarch: W: summary-not-capitalized C pyfakefs implements a fake file system that mocks the Python file system modules.
python3-pyfakefs.noarch: W: summary-ended-with-dot C pyfakefs implements a fake file system that mocks the Python file system modules.
python3-pyfakefs.noarch: E: summary-too-long C pyfakefs implements a fake file system that mocks the Python file system modules.
python3-pyfakefs.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/pyfakefs/fake_filesystem_shutil.py /usr/bin/env python
python3-pyfakefs.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/pyfakefs/fake_filesystem_shutil.py 644 /usr/bin/env python
2 packages and 0 specfiles checked; 6 errors, 4 warnings.



Requires
--------
python2-pyfakefs (rpmlib, GLIBC filtered):
    python(abi)
    python2-mox3
    python2-pytest

python3-pyfakefs (rpmlib, GLIBC filtered):
    python(abi)
    python3-mox3
    python3-pytest



Provides
--------
python2-pyfakefs:
    python-pyfakefs
    python2-pyfakefs
    python2.7dist(pyfakefs)
    python2dist(pyfakefs)

python3-pyfakefs:
    python3-pyfakefs
    python3.6dist(pyfakefs)
    python3dist(pyfakefs)



Source checksums
----------------
https://pypi.io/packages/source/p/pyfakefs/pyfakefs-3.1.tar.gz :
  CHECKSUM(SHA256) this package     : 9998ac19b7be5bb7641c1e001665d27561e9fe12dfe457868cb78f5f9d488d21
  CHECKSUM(SHA256) upstream package : 9998ac19b7be5bb7641c1e001665d27561e9fe12dfe457868cb78f5f9d488d21


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1447120 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Gwyn Ciesla 2017-05-08 12:33:23 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-pyfakefs

Comment 3 Fedora Update System 2017-05-08 16:44:35 UTC
python-pyfakefs-3.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b0a4b14cc2

Comment 4 Fedora Update System 2017-05-08 16:45:03 UTC
python-pyfakefs-3.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb0fca34a7

Comment 5 Fedora Update System 2017-05-08 16:45:36 UTC
python-pyfakefs-3.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4c8008c9e5

Comment 6 Fedora Update System 2017-05-08 21:59:12 UTC
python-pyfakefs-3.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e012b60189

Comment 7 Fedora Update System 2017-05-10 07:03:46 UTC
python-pyfakefs-3.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb0fca34a7

Comment 8 Fedora Update System 2017-05-10 08:55:39 UTC
python-pyfakefs-3.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e012b60189

Comment 9 Fedora Update System 2017-05-10 10:43:34 UTC
python-pyfakefs-3.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4c8008c9e5

Comment 10 Fedora Update System 2017-05-12 02:10:50 UTC
python-pyfakefs-3.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b0a4b14cc2

Comment 11 Fedora Update System 2017-05-24 04:55:30 UTC
python-pyfakefs-3.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-05-24 05:01:19 UTC
python-pyfakefs-3.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-06-09 18:52:59 UTC
python-pyfakefs-3.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-08-06 20:48:25 UTC
python-pyfakefs-3.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.